=== debian/control ===
Source: ros-humble-ros2doctor
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, python3-pytest-timeout <!nocheck>, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-ament-xmllint <!nocheck>, ros-humble-launch <!nocheck>, ros-humble-launch-ros <!nocheck>, ros-humble-launch-testing <!nocheck>, ros-humble-launch-testing-ros <!nocheck>, ros-humble-ros2cli, ros-humble-std-msgs <!nocheck>, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros2doctor
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-catkin-pkg-modules, python3-importlib-metadata, python3-psutil, python3-rosdistro-modules, ros-humble-ament-index-python, ros-humble-rclpy, ros-humble-ros-environment, ros-humble-ros2cli, ros-humble-ros-workspace
Description: A command line tool to check potential issues in a ROS 2 system
