=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-humble-ros2doctor
 Architecture: any
-Depends: ${python3:Depends}, ${misc:Depends}, python3-catkin-pkg-modules, python3-importlib-metadata, python3-psutil, python3-rosdistro-modules, ros-humble-ament-index-python, ros-humble-rclpy, ros-humble-ros-environment, ros-humble-ros2cli, ros-humble-ros-workspace
+Depends: ${python3:Depends}, ${misc:Depends}, python3-catkin-pkg, python3-importlib-metadata, python3-psutil, python3-rosdistro, ros-humble-ament-index-python, ros-humble-rclpy, ros-humble-ros-environment, ros-humble-ros2cli, ros-humble-ros-workspace
 Description: A command line tool to check potential issues in a ROS 2 system
